<?php
if (!defined('TYPO3_MODE')) {
	die ('Access denied.');
}

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
	'FORM4.' . $_EXTKEY,
	'Teaser',
	array(
		'Teaser' => 'index',

	),
	// non-cacheable actions
	array(
		'Teaser' => '',

	)
);


use \FORM4\Form4Teaser\Utility\ConfigurationUtility;


ConfigurationUtility::reset();


/*
 * LAYOUTS
 */
ConfigurationUtility::addFluidLayout(
	'textpic',
	'EXT:' . $_EXTKEY . '/Resources/Private/Layouts/Teaser/Textpic.html',
	'LLL:EXT:' . $_EXTKEY . '/Resources/Private/Language/locallang_db.xlf:settings.layout.items.textpic',
	FALSE
);
ConfigurationUtility::addFluidLayout(
	'text',
	'EXT:' . $_EXTKEY . '/Resources/Private/Layouts/Teaser/Text.html',
	'LLL:EXT:' . $_EXTKEY . '/Resources/Private/Language/locallang_db.xlf:settings.layout.items.text',
	FALSE
);
ConfigurationUtility::addFluidLayout(
	'linklist',
	'EXT:' . $_EXTKEY . '/Resources/Private/Layouts/Teaser/Linklist.html',
	'LLL:EXT:' . $_EXTKEY . '/Resources/Private/Language/locallang_db.xlf:settings.layout.items.linklist',
	FALSE
);

/*
 * SORTINGS
 */
ConfigurationUtility::addSorting('sorting',
	array('FORM4\\Form4Teaser\\Utility\\SortingsUtility', 'bySorting'),
	'LLL:EXT:' . $_EXTKEY . '/Resources/Private/Language/locallang_db.xlf:settings.sorting.items.sorting',
	FALSE
);
ConfigurationUtility::addSorting('title',
	array('FORM4\\Form4Teaser\\Utility\\SortingsUtility', 'byTitle'),
	'LLL:EXT:' . $_EXTKEY . '/Resources/Private/Language/locallang_db.xlf:settings.sorting.items.title',
	FALSE
);
ConfigurationUtility::addSorting('lastUpdated',
	array('FORM4\\Form4Teaser\\Utility\\SortingsUtility', 'byLastUpdated'),
	'LLL:EXT:' . $_EXTKEY . '/Resources/Private/Language/locallang_db.xlf:settings.sorting.items.lastUpdated',
	FALSE
);
ConfigurationUtility::addSorting('crdate',
	array('FORM4\\Form4Teaser\\Utility\\SortingsUtility', 'byCrDate'),
	'LLL:EXT:' . $_EXTKEY . '/Resources/Private/Language/locallang_db.xlf:settings.sorting.items.crdate',
	FALSE
);
ConfigurationUtility::addSorting('tstamp',
	array('FORM4\\Form4Teaser\\Utility\\SortingsUtility', 'byTstamp'),
	'LLL:EXT:' . $_EXTKEY . '/Resources/Private/Language/locallang_db.xlf:settings.sorting.items.tstamp',
	FALSE
);
ConfigurationUtility::addSorting('starttime',
	array('FORM4\\Form4Teaser\\Utility\\SortingsUtility', 'byStarttime'),
	'LLL:EXT:' . $_EXTKEY . '/Resources/Private/Language/locallang_db.xlf:settings.sorting.items.starttime',
	FALSE
);
ConfigurationUtility::addSorting('endtime',
	array('FORM4\\Form4Teaser\\Utility\\SortingsUtility', 'byEndtime'),
	'LLL:EXT:' . $_EXTKEY . '/Resources/Private/Language/locallang_db.xlf:settings.sorting.items.endtime',
	FALSE
);
ConfigurationUtility::addSorting('newUntil',
	array('FORM4\\Form4Teaser\\Utility\\SortingsUtility', 'byNewUntil'),
	'LLL:EXT:' . $_EXTKEY . '/Resources/Private/Language/locallang_db.xlf:settings.sorting.items.newtime',
	FALSE
);
// ConfigurationUtility::addSorting('lastUpdatedNext',
// 	'FORM4\\Form4Teaser\\Utility\\SortingsUtility->byLastUpdatedNext',
// 	'Last updated next',
// 	FALSE
// );

/*
 * SORTING DIRECTIONS
 */
ConfigurationUtility::addSortingDirection('ascending',
	array('FORM4\\Form4Teaser\\Utility\\SortingDirectionsUtility', 'ascending'),
	'LLL:EXT:' . $_EXTKEY . '/Resources/Private/Language/locallang_db.xlf:settings.sortingDirection.items.asc',
	FALSE
);
ConfigurationUtility::addSortingDirection('descending',
	array('FORM4\\Form4Teaser\\Utility\\SortingDirectionsUtility', 'descending'),
	'LLL:EXT:' . $_EXTKEY . '/Resources/Private/Language/locallang_db.xlf:settings.sortingDirection.items.desc',
	FALSE
);
ConfigurationUtility::addSortingDirection('shuffled',
	array('FORM4\\Form4Teaser\\Utility\\SortingDirectionsUtility', 'shuffled'),
	'LLL:EXT:' . $_EXTKEY . '/Resources/Private/Language/locallang_db.xlf:settings.sortingDirection.items.shuffled',
	FALSE
);
ConfigurationUtility::addSortingDirection('random',
	array('FORM4\\Form4Teaser\\Utility\\SortingDirectionsUtility', 'random'),
	'LLL:EXT:' . $_EXTKEY . '/Resources/Private/Language/locallang_db.xlf:settings.sortingDirection.items.random',
	FALSE
);



# =========================================================================== #
# PAGETSConfig
# =========================================================================== #
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig('<INCLUDE_TYPOSCRIPT: source="FILE:EXT:'.$_EXTKEY.'/Configuration/TSconfig/pageTSconfig.txt">');



?>